| Version: 3.2.5

Classes | Enumerations | Variables
fswatcher.h File Reference

## Classes

class | wxFileSystemWatcher
| The wxFileSystemWatcher class allows receiving notifications of file system changes. More...
class | wxFileSystemWatcherEvent
| A class of events sent when a file system event occurs. More...

## Enumerations

enum | wxFSWFlags { wxFSW_EVENT_CREATE = 0x01 , wxFSW_EVENT_DELETE = 0x02 , wxFSW_EVENT_RENAME = 0x04 , wxFSW_EVENT_MODIFY = 0x08 , wxFSW_EVENT_ACCESS = 0x10 , wxFSW_EVENT_ATTRIB = 0x20 , wxFSW_EVENT_UNMOUNT = 0x2000 , wxFSW_EVENT_WARNING = 0x40 , wxFSW_EVENT_ERROR = 0x80 , wxFSW_EVENT_ALL }
| These are the possible types of file system change events. More...
enum | wxFSWWarningType { wxFSW_WARNING_NONE , wxFSW_WARNING_GENERAL , wxFSW_WARNING_OVERFLOW }
| Possible warning types for the warning events generated by wxFileSystemWatcher. More...

## Variables

wxEventType | wxEVT_FSWATCHER

## Enumeration Type Documentation

## ◆ wxFSWFlags

enum wxFSWFlags

These are the possible types of file system change events.

Not all of these events are reported on all platforms currently.

Since
  2.9.1

Enumerator
wxFSW_EVENT_CREATE | File or directory was created.
wxFSW_EVENT_DELETE | File or directory was deleted.
wxFSW_EVENT_RENAME | File or directory was renamed. Notice that under MSW this event is sometimes – although not always – followed by a wxFSW_EVENT_MODIFY for the new file. Under macOS this event is only detected when watching entire trees. When watching directories, separate wxFSW_EVENT_CREATE and wxFSW_EVENT_DELETE events are detected instead.
wxFSW_EVENT_MODIFY | File or directory was modified. Depending on the program doing the file modification, multiple such events can be reported for a single logical file update. Under macOS this event is only detected when watching entire trees.
wxFSW_EVENT_ACCESS | File or directory was accessed. This event is currently only detected under Linux.

wxFSW_EVENT_ATTRIB

The item's metadata was changed, e.g. its permissions or timestamps.

This event is currently only detected under Linux and macOS. Under macOS this event is only detected when watching entire trees.

Since
  2.9.5

wxFSW_EVENT_UNMOUNT

The file system containing a watched item was unmounted.

wxFSW_EVENT_UNMOUNT cannot be set; unmount events are produced automatically. This flag is therefore not included in wxFSW_EVENT_ALL.

This event is currently only detected under Linux and macOS. Under macOS this event is only detected when watching entire trees.

Since
  2.9.5

wxFSW_EVENT_WARNING | A warning condition arose. This is something that probably needs to be shown to the user in an interactive program as it can indicate a relatively serious problem, e.g. some events could have been missed because of an overflow. But more events will still be coming in the future, unlike for the error condition below.
wxFSW_EVENT_ERROR | An error condition arose. Errors are fatal, i.e. no more events will be reported after an error and the program can stop watching the directories currently being monitored.
wxFSW_EVENT_ALL |

## ◆ wxFSWWarningType

enum wxFSWWarningType

Possible warning types for the warning events generated by wxFileSystemWatcher.

Since
  3.0

Enumerator
wxFSW_WARNING_NONE | This is not a warning at all.
wxFSW_WARNING_GENERAL | A generic warning. Further information may be provided in the user-readable message available from wxFileSystemWatcherEvent::GetErrorDescription()
wxFSW_WARNING_OVERFLOW | An overflow event. This warning indicates that some file system changes were not signaled by any events, usually because there were too many of them and the internally used queue has overflown. If such event is received it is recommended to completely rescan the files or directories being monitored.

## Variable Documentation

## ◆ wxEVT_FSWATCHER

wxEventType wxEVT_FSWATCHER